diff a/src/hotspot/cpu/riscv/stubGenerator_riscv.cpp b/src/hotspot/cpu/riscv/stubGenerator_riscv.cpp
--- a/src/hotspot/cpu/riscv/stubGenerator_riscv.cpp
+++ b/src/hotspot/cpu/riscv/stubGenerator_riscv.cpp
@@ -6658,10 +6658,14 @@
   }
 
 #undef __
 
   // Initialization
+  void generate_preuniverse_stubs() {
+    // preuniverse stubs are not needed for riscv
+  }
+
   void generate_initial_stubs() {
     // Generate initial stubs and initializes the entry points
 
     // entry points that exist in all platforms Note: This is code
     // that could be shared among different platforms - however the
@@ -6813,10 +6817,13 @@
   }
 
  public:
   StubGenerator(CodeBuffer* code, StubGenBlobId blob_id) : StubCodeGenerator(code, blob_id) {
     switch(blob_id) {
+    case preuniverse_id:
+      generate_preuniverse_stubs();
+      break;
     case initial_id:
       generate_initial_stubs();
       break;
      case continuation_id:
       generate_continuation_stubs();
